Page MenuHomePhabricator

IPv6 contributions get cut off in revision details popup
Closed, ResolvedPublicBUG REPORT

Description

What is the problem?

The revision details popup is not wide enough, so IPv6 addresses get cut off.

Occurs on both Firefox and Chrome.

Expected Behavior

The revision details pop-up should adjust to accommodate longer strings, like IP addresses.

Steps to reproduce problem
  1. Go to https://en.wikipedia.org/wiki/The_Pizza_Underground
  2. Turn on WWT
  3. Click on "was" (third word, first paragraph)
Screenshots (if applicable):

For Brexit:

Details

Related Gerrit Patches:
mediawiki/core : masterUpdate OOUI to v0.34.1
oojs/ui : masterWrap long strings in popups

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 6 2019, 12:01 PM
TheDJ added a subscriber: TheDJ.EditedSep 6 2019, 1:01 PM

I advice the developers: overflow-wrap: break-word ;)

ifried added a subscriber: ifried.EditedSep 6 2019, 7:25 PM

I'm adding this onto the Kanban board, so it can be fixed as well.

We haven't formally estimated this, but we can discuss it in the next standup.

ifried updated the task description. (Show Details)Sep 6 2019, 7:28 PM
ifried updated the task description. (Show Details)
ifried added a subscriber: Prtksxna.Sep 6 2019, 7:32 PM

@Prtksxna I don't know if there are any design specifications for this, but I'm tagging you in case you have any thoughts or suggestions around this bug fix.

I advice the developers: overflow-wrap: break-word ;)

Maybe this should be done upstream in OOUI, where it's setting overflow: hidden; for popup widgets? It seems that it'd apply to any popup with long words.

TheDJ added a comment.Sep 9 2019, 9:35 AM

@Samwilson i think that is not a bad idea...

Change 535135 had a related patch set uploaded (by Samwilson; owner: Samwilson):
[oojs/ui@master] Wrap long strings in popups

https://gerrit.wikimedia.org/r/535135

@Samwilson, I think it would also be alright to increase the width of the pop-up enough to fit IPv6 addresses. There are currently two popups sizes in the Zeplin—250px and 320px. Which one is being used screenshot above?

MusikAnimal updated the task description. (Show Details)Sep 9 2019, 5:50 PM

The proposed change by @Samwilson for OOUI makes sense in edge cases and I'm gonna merge it after reviewing, but I'm with @Prtksxna's proposal as the user friendly solution here.

Change 535135 merged by jenkins-bot:
[oojs/ui@master] Wrap long strings in popups

https://gerrit.wikimedia.org/r/535135

The default width (which we're using) is 320px.

ifried moved this task from Backlog to In progress on the Who-Wrote-That board.Sep 10 2019, 8:37 PM

Change 535763 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/core@master] Update OOUI to v0.34.1

https://gerrit.wikimedia.org/r/535763

Change 535763 merged by jenkins-bot:
[mediawiki/core@master] Update OOUI to v0.34.1

https://gerrit.wikimedia.org/r/535763

The OOUI fix is merged, and the popup width is already the larger size mentioned in T232211#5475208, so I'm not sure what else should be done here. Maybe we can test it with the new text wrapping and see how it feels? It'll look like this:

The text wrapping looks good, I think we can go ahead with it. Thanks for posting the screenshot 👍🏽

Cool. So this has been merged, and the OOUI update merged to MW core, so this will be ready for testing later this week I guess.

Wrapping looks good for IPv6 and long usernames as well.

As this change affects other popups on MediaWiki, I briefly compared the popups in Special:RecentChanges before and after the update to OOUI. I could not see any differences.

ifried closed this task as Resolved.Sep 25 2019, 3:50 PM

It also looks good to me in tests (see screenshot example below). I'm marking this work as Done.